Add an export policy rule
Creates an export policy rule to define access permissions for NFS clients. Use this to manage client access to shared resources.
HTTP method and endpoint
PUT /gcp/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/exportPolicy
Usage notes
Adds an export policy rule.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
workingEnvironmentId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
string |
path |
True |
|
workingEnvironmentId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
comment |
string |
False |
Comment |
exportPolicyInfo |
False |
||
minimumCoolingDays |
integer |
False |
Tiering minimum cooling days |
qualityOfService |
False |
||
shareInfo |
False |
||
snapshotPolicyName |
string |
False |
Snapshot policy name |
tieringPolicy |
string |
False |
Tiering policy |
Example request
{
"comment": "string",
"exportPolicyInfo": {
"ips": [
"string"
],
"name": "string",
"nfsVersion": [
"string"
],
"policyType": "string",
"rules": [
{
"ips": [
"string"
],
"nfsVersion": [
"string"
],
"ruleAccessControl": "string",
"superUser": false
}
]
},
"qualityOfService": {
"maxDataRate": {
"unit": "string"
}
},
"shareInfo": {
"accessControlList": [
{
"permission": "string",
"users": [
"string"
]
}
],
"shareName": "string",
"vscanFileOpPolicy": "string"
},
"snapshotPolicyName": "string",
"tieringPolicy": "string"
}
Error
Status: Default, Default response
Definitions
See Definitions
pattern
Regex
| Name | Type | Required | Description |
|---|---|---|---|
groupNames |
array[string] |
True |
|
pattern |
True |
PatternMessage
| Name | Type | Required | Description |
|---|---|---|---|
message |
string |
False |
|
regex |
True |
VolumeName
| Name | Type | Required | Description |
|---|---|---|---|
_1 |
string |
True |
|
validatesWith |
True |
index
Export policy rule index
ExportPolicyRule
| Name | Type | Required | Description |
|---|---|---|---|
index |
False |
Export policy rule index |
|
ips |
array[string] |
True |
Export policy rule list of IPs |
nfsVersion |
array[string] |
False |
Export policy rule protocol |
ruleAccessControl |
string |
True |
Export policy rule access control |
superUser |
boolean |
True |
Export policy rule super user access |
NamedExportPolicyInfo
| Name | Type | Required | Description |
|---|---|---|---|
ips |
array[string] |
True |
Custom export policy list of IPs |
name |
string |
False |
Export policy name |
nfsVersion |
array[string] |
False |
Export policy protocol |
policyType |
string |
True |
Export policy type |
rules |
array[ExportPolicyRule] |
True |
Export policy rules |
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
False |
|
unit |
string |
False |
VolumeQualityOfService
| Name | Type | Required | Description |
|---|---|---|---|
maxDataRate |
False |
||
maxIops |
integer |
False |
| Name | Type | Required | Description |
|---|---|---|---|
permission |
string |
False |
CIFS share permission type |
users |
array[string] |
True |
List of users with the permission |
| Name | Type | Required | Description |
|---|---|---|---|
accessControlList |
array[CifsShareUserPermissions] |
True |
List of CIFS share permissions |
shareName |
string |
True |
Share name |
vscanFileOpPolicy |
string |
False |
Vscan file operations profile |